%global pypi_name snowballstemmer

Summary:        Provides 16 stemmer algorithms generated from Snowball algorithms
Name:           python-%{pypi_name}
Version:        1.9.0
Release:        3%{?dist}
License:        BSD
URL:            https://pypi.python.org/pypi/%{pypi_name}
Source0:        https://files.pythonhosted.org/packages/a0/5e/d9ead2d57d39b3e1c1868ce84212319e5543a19c4185dce7e42a9dd968b0/%{pypi_name}-%{version}.tar.gz
Source1:        https://raw.githubusercontent.com/snowballstem/snowball/master/COPYING

BuildArch:      noarch

%description
It includes following language algorithms:

* Danish
* Dutch
* English (Standard, Porter)
* Finnish
* French
* German
* Hungarian
* Italian
* Norwegian
* Portuguese
* Romanian
* Russian
* Spanish
* Swedish
* Turkis

This is a pure Python stemming library. If PyStemmer is available, this module uses it to
accelerate.


%package -n     python%{python3_pkgversion}-%{pypi_name}
Summary:        Provides 16 stemmer algorithms generated from Snowball algorithms
BuildRequires:  python%{python3_pkgversion}-devel
BuildArch:      noarch

%description -n python%{python3_pkgversion}-%{pypi_name}
It includes following language algorithms:

* Danish
* Dutch
* English (Standard, Porter)
* Finnish
* French
* German
* Hungarian
* Italian
* Norwegian
* Portuguese
* Romanian
* Russian
* Spanish
* Swedish
* Turkis

This is a pure Python stemming library. If PyStemmer is available, this module uses it to
accelerate.

%prep
%autosetup -n %{pypi_name}-%{version}
rm -rf %{pypi_name}.egg-info
cp %{SOURCE1} .

%build
%py3_build

%install
%py3_install

%check

%files -n python%{python3_pkgversion}-%{pypi_name}
%license COPYING
%doc README.rst
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info
%{python3_sitelib}/%{pypi_name}/

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.9.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.9.0-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Feb 13 2023 Shuo Wang <abushwang@tencent.com> - 1.9.0-1
- initial build
